
Figure - Bug #118521
【AF】【EVT3】【网络同步】QFIL刷机后，副屏首次启动未同步中控网络图标
2023-06-05 15:29 - CD TEST-方永红

Status: ASSIGNED Start date: 2023-06-05

Priority: Normal Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 106

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

设备与中控连接

【操作步骤】

1、QFIL刷机（106版本）

2、查看副屏网络同步情况

【预期结果】

图标同步，网络正常

【实际结果】

首次启动未同步中控网络图标，副屏无网络，重启副屏或者开关中控网络后恢复

History

#1 - 2023-06-05 16:46 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD FW-程天颖

#2 - 2023-06-05 21:11 - CD FW-程天颖

- Status changed from New to NEED_INFO

Hi，永红：

   日志文件中没有抓取到中控副屏握手后同步信息的日志，麻烦重新抓取一下，谢谢

#3 - 2023-06-06 10:54 - CD TEST-方永红

- File 1051.txt added

- Status changed from NEED_INFO to ASSIGNED

#4 - 2023-06-06 17:44 - CD FW-程天颖

■ Current conclusion

从日志中分析出副屏和中控握手成功后未收到中控同步的网络信号指令

■ My analysis

查看了副屏启动握手截断的日志，微服务未收到中控发送的信号同步指令

原因猜测：
1.中控未网络信号给副屏

2.中控发送了网络信号给副屏，微服务未收到

■ Next action

初步分析一下中控的log，判断原因

#5 - 2023-06-06 21:37 - CD FW-程天颖

- File 1703.log added

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

■ Current conclusion

原因暂时认为中控未给副屏同步网络信号

副屏日志与附件1703.log

中控日志大于50m,无法上传redmine

■ My analysis

06-06 17:03:00.697  2253  2377 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_COM',

destService='IDCM_COM', messageType='2', uuid='1686042160334050462',

payloadData={"srcService":"FSEM_COM","dstService":"IDCM_COM","messageType":2,"uuid":1686042160334050462,"methodName":"handShake","parameters":{"client

Name":"FSEM_COM","clientVersion":"01.10"}}}

06-06 17:03:00.714  2253  2253 E MicroService: heart beat time out, current timeout cnt is 1

06-06 17:03:00.714  2253  2253 D MicroService: onHeartBeatDetected

06-06 17:03:00.714  2253  2253 D MicroService: sendHeartbeatMessage

06-06 17:03:00.720  2253  4165 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_COM', destService='FSEM_COM',

messageType='2', uuid='1686042160334050462', payloadData={

06-06 17:03:00.720  2253  4165 I MicroService: "srcService":"IDCM_COM",

06-06 17:03:00.720  2253  4165 I MicroService: "dstService":"FSEM_COM",

06-06 17:03:00.720  2253  4165 I MicroService: "messageType":2,

06-06 17:03:00.720  2253  4165 I MicroService: "uuid":1686042160334050462,

06-06 17:03:00.720  2253  4165 I MicroService: "methodName":"handShake",

06-06 17:03:00.720  2253  4165 I MicroService: "parameters":{"result":"true","serverName":"IDCM_COM","serverVersion":"01.01"}

06-06 17:03:00.720  2253  4165 I MicroService: }}

06-06 17:03:00.720  2253  4165 I MicroService: Client connect status changed. Status: 1

06-06 17:03:00.720  2253  4165 D MicroService: startHeartBeat Timer

06-06 17:03:00.720  2253  4165 D MicroService: is started

06-06 17:03:00.720  2253  4165 I MicroService: onConnectStateChanged: 1

06-06 17:03:00.720  2253  4165 I MicroService: onConnectStateChanged count = 2

06-06 17:03:00.721  2272  2314 I MicroServiceManager: requestResult(reportScreenDisplay) parameters is{"ScreenDisplay":1}.

06-06 17:03:00.727  2253  4166 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_SettingService',

destService='IDCM_MultiScreenService', messageType='0', uuid='1686042180722306444',

payloadData={"srcService":"FSEM_SettingService","dstService":"IDCM_MultiScreenService","messageType":0,"uuid":1686042180722306444,"methodName":"reportScreen

Display","parameters":{"ScreenDisplay":1}}}

06-06 17:03:01.698  2253  2377 D MicroService: send handshake message, currentTryAccount=10

06-06 17:03:01.702  2253  2377 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_COM',

destService='IDCM_COM', messageType='2', uuid='1686042160334050462',

payloadData={"srcService":"FSEM_COM","dstService":"IDCM_COM","messageType":2,"uuid":1686042160334050462,"methodName":"handShake","parameters":{"client

Name":"FSEM_COM","clientVersion":"01.10"}}}

06-06 17:03:01.718  2253  4175 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_COM', destService='FSEM_COM',

messageType='2', uuid='1686042160334050462', payloadData={

06-06 17:03:01.718  2253  4175 I MicroService: "srcService":"IDCM_COM",

06-06 17:03:01.718  2253  4175 I MicroService: "dstService":"FSEM_COM",

06-06 17:03:01.718  2253  4175 I MicroService: "messageType":2,

06-06 17:03:01.718  2253  4175 I MicroService: "uuid":1686042160334050462,

2025-07-03 2/5



06-06 17:03:01.718  2253  4175 I MicroService: "methodName":"handShake",

06-06 17:03:01.718  2253  4175 I MicroService: "parameters":{"result":"true","serverName":"IDCM_COM","serverVersion":"01.01"}

06-06 17:03:01.718  2253  4175 I MicroService: }}

06-06 17:03:01.719  2253  4175 I MicroService: Client connect status changed. Status: 1

06-06 17:03:01.719  2253  4175 D MicroService: startHeartBeat Timer

06-06 17:03:01.719  2253  4175 D MicroService: is started

06-06 17:03:01.719  2253  4175 I MicroService: onConnectStateChanged: 1

06-06 17:03:01.719  2253  4175 I MicroService: onConnectStateChanged count = 2

06-06 17:03:01.721  2272  2314 I MicroServiceManager: requestResult(reportScreenDisplay) parameters is{"ScreenDisplay":1}.

06-06 17:03:01.725  2253  4176 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_SettingService',

destService='IDCM_MultiScreenService', messageType='0', uuid='1686042181721972277',

payloadData={"srcService":"FSEM_SettingService","dstService":"IDCM_MultiScreenService","messageType":0,"uuid":1686042181721972277,"methodName":"reportScreen

Display","parameters":{"ScreenDisplay":1}}}

06-06 17:03:02.717  2253  2253 E MicroService: heart beat time out, current timeout cnt is 2

06-06 17:03:02.717  2253  2253 D MicroService: onHeartBeatDetected

06-06 17:03:02.717  2253  2253 D MicroService: sendHeartbeatMessage

06-06 17:03:03.732  2253  4185 D MicroService: handleHeartBeat:3

06-06 17:03:04.719  2253  2253 D MicroService: onHeartBeatDetected

06-06 17:03:04.719  2253  2253 D MicroService: sendHeartbeatMessage

06-06 17:03:05.735  2253  4196 D MicroService: handleHeartBeat:4

06-06 17:03:06.722  2253  2253 D MicroService: onHeartBeatDetected

06-06 17:03:06.722  2253  2253 D MicroService: sendHeartbeatMessage

06-06 17:03:07.739  2253  4205 D MicroService: handleHeartBeat:5

06-06 17:03:08.725  2253  2253 D MicroService: onHeartBeatDetected

06-06 17:03:08.726  2253  2253 D MicroService: sendHeartbeatMessage

副屏日志中，可看出副屏并未收到中控发送的网络信号同步

06-06 16:44:58.409  2620  2620 I InfoDelivery_WifiClient: sendData

{"srcService":"IDCM_IVIInfoService","dstService":"FSEM_SettingService","messageType":0,"uuid":350879579832238,"methodName":"WifiInfo","parameters":{"status":4,"l

evel":3}}

06-06 16:44:58.420  2620  2620 I InfoDelivery_WifiClient: sendData

{"srcService":"IDCM_IVIInfoService","dstService":"FSEM_SettingService","messageType":0,"uuid":350879590656769,"methodName":"WifiInfo","parameters":{"status":0,"l

evel":3}}

06-06 16:44:58.439  2620  3296 I InfoDelivery_WifiClient: onReceiveData data size:170, receive:

{"srcService":"IDCM_IVIInfoService","dstService":"FSEM_SettingService","messageType":0,"uuid":350879579832238,"methodName":"WifiInfo","parameters":{"status":4,"l

evel":3}}

06-06 16:44:58.455  2620  3296 I InfoDelivery_WifiClient: onReceiveData data size:170, receive:

{"srcService":"IDCM_IVIInfoService","dstService":"FSEM_SettingService","messageType":0,"uuid":350879590656769,"methodName":"WifiInfo","parameters":{"status":0,"l

evel":3}}

06-06 16:44:58.811  2620  2620 I InfoDelivery_WifiClient: sendData

{"srcService":"IDCM_IVIInfoService","dstService":"FSEM_SettingService","messageType":0,"uuid":350879981439790,"methodName":"WifiInfo","parameters":{"status":4,"l

evel":3}}

06-06 16:44:58.825  2620  3296 I InfoDelivery_WifiClient: onReceiveData data size:170, receive:

{"srcService":"IDCM_IVIInfoService","dstService":"FSEM_SettingService","messageType":0,"uuid":350879981439790,"methodName":"WifiInfo","parameters":{"status":4,"l

evel":3}}

06-06 17:05:42.260  2620  2620 I InfoDelivery_WifiClient: sendData

{"srcService":"IDCM_IVIInfoService","dstService":"FSEM_SettingService","messageType":0,"uuid":352123430193847,"methodName":"WifiInfo","parameters":{"status":4,"l

evel":3}}

06-06 17:05:42.265  2620  2620 I InfoDelivery_WifiClient: sendData

{"srcService":"IDCM_IVIInfoService","dstService":"FSEM_SettingService","messageType":0,"uuid":352123434855878,"methodName":"WifiInfo","parameters":{"status":0,"l

evel":3}}

06-06 17:05:42.282  2620  3296 I InfoDelivery_WifiClient: onReceiveData data size:170, receive:

{"srcService":"IDCM_IVIInfoService","dstService":"FSEM_SettingService","messageType":0,"uuid":352123430193847,"methodName":"WifiInfo","parameters":{"status":4,"l
evel":3}}

06-06 17:05:42.294  2620  3296 I InfoDelivery_WifiClient: onReceiveData data size:170, receive:

{"srcService":"IDCM_IVIInfoService","dstService":"FSEM_SettingService","messageType":0,"uuid":352123434855878,"methodName":"WifiInfo","parameters":{"status":0,"l

evel":3}}

06-06 17:05:42.672  2620  2620 I InfoDelivery_WifiClient: sendData

{"srcService":"IDCM_IVIInfoService","dstService":"FSEM_SettingService","messageType":0,"uuid":352123842501816,"methodName":"WifiInfo","parameters":{"status":4,"l

evel":3}}

在中控的日志中也未观察到在握手之后这段时间同步网络信号的日志

■ Next action

1.永红帮忙上传一下中控的日志

2.联系中控开发分析为什么没有同步网络信号给副屏

#6 - 2023-06-07 20:05 - CD FW-程天颖

- Assignee changed from CD TEST-方永红 to CD FW-程天颖

#7 - 2023-06-08 11:43 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD TPM-王祥林

■ Current conclusion

已同中控开发同步信息，中控存在丢日志的情况，未抓到握手时期的日志，无法分析握手后中控是否给副屏发送开机信息

后续多次尝试复现该bug，并未复现成功

■ My analysis

-

■ Next action

祥林，请分析该问题该何处理

#8 - 2023-06-14 22:52 - CD TPM-王祥林

QFIL刷机问题，OTA未复现，暂不处理。

#9 - 2023-06-14 22:52 - CD TPM-王祥林

- Status changed from ASSIGNED to RESOLVED

#10 - 2023-08-24 17:21 - CDTS_TEST 王成

- Status changed from RESOLVED to ASSIGNED

#11 - 2023-10-31 16:21 - CD FW 曹覃刚

- Assignee changed from CD TPM-王祥林 to 移动测试一组_CDTS 刘强

网络图标在新版本上已经被删除了，不需要了

请帮忙关闭此票

Files

tlog_iov0201017500006162025411a2212290000002271_000444_0605150912.tar.gz8.28 MB 2023-06-05 CD TEST-方永红

1505.txt 3.78 MB 2023-06-05 CD TEST-方永红

1051.txt 3.65 MB 2023-06-06 CD TEST-方永红
1703.log 3.08 MB 2023-06-06 CD FW-程天颖
